Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
radm::PortGroupManager Interface Reference

## Classes
struct | PortGroupCreatedEvent
| Event: A port group was created. More...
struct | PortGroupDeletedEvent
| Event: A port group was deleted. More...
struct | PortGroupListChangedEvent
| Event: The group list has changed (group was added or removed) More...

## Public Member Functions
int | createPortGroup (in PortGroup::Settings settings, out PortGroup group)
| Create a new port group.
int | deletePortGroup (in string groupId)
| Delete an existing port group.
map< string, PortGroup > | getAllPortGroups ()
| Get all existing port groups.
int | getPortGroup (in string groupId, out PortGroup group)
| Get a specific port group.

## Public Attributes
constant int | ERR_INVALID_ARGUMENT = 1
constant int | ERR_NO_SUCH_ID = 2
constant int | ERR_MAX_GROUP_COUNT_REACHED = 3

## Detailed Description

Definition at line 10 of file PortGroupManager.idl.

## Member Function Documentation

## ◆ createPortGroup()

int radm::PortGroupManager::createPortGroup | ( | in PortGroup::Settings | settings,
|  | out PortGroup | group )

Create a new port group.

Parameters

  settings | Settings to create the new port group with
  group | Output value: newly created port group

Returns
  0 on success
  1 if any of the given settings is invalid
  3 if the maximum number of port groups is reached already

## ◆ deletePortGroup()

int radm::PortGroupManager::deletePortGroup | ( | in string | groupId | ) |

Delete an existing port group.

Parameters

  groupId | ID of the group (as per it's `PortGroup::Metadata`)

Returns
  0 on success
  2 if the group ID is unknown

## ◆ getAllPortGroups()

map< string, PortGroup > radm::PortGroupManager::getAllPortGroups | ( |  | ) |

Get all existing port groups.

Returns
  Map of port groups, keyed by group ID

## ◆ getPortGroup()

int radm::PortGroupManager::getPortGroup | ( | in string | groupId,
|  | out PortGroup | group )

Get a specific port group.

Parameters

  groupId | ID of the group (as per its `PortGroup::Metadata`)
  group | Output value: requested port group

Returns
  0 on success
  2 if the group ID is unknown

## Member Data Documentation

## ◆ ERR_INVALID_ARGUMENT

constant int radm::PortGroupManager::ERR_INVALID_ARGUMENT = 1

Definition at line 11 of file PortGroupManager.idl.

## ◆ ERR_MAX_GROUP_COUNT_REACHED

constant int radm::PortGroupManager::ERR_MAX_GROUP_COUNT_REACHED = 3

Definition at line 13 of file PortGroupManager.idl.

## ◆ ERR_NO_SUCH_ID

constant int radm::PortGroupManager::ERR_NO_SUCH_ID = 2

Definition at line 12 of file PortGroupManager.idl.

The documentation for this interface was generated from the following file:

- PortGroupManager.idl